import { SidebarType } from '../../enums';
import { ToolbarActionToggle } from '..';
import { Drawer } from '../../tools';
import { SidebarItem } from './sidebar-item';
export declare class Sidebar extends ToolbarActionToggle {
    protected list: Map<string, SidebarItem>;
    protected element: HTMLDivElement;
    protected menu: HTMLUListElement;
    protected items: Map<string, SidebarItem>;
    protected current?: SidebarType;
    protected drawer: Drawer;
    constructor(list?: Map<string, SidebarItem>);
    get enabled(): boolean;
    protected init(): void;
    protected destroy(): Promise<void>;
    find(item: SidebarItem): SidebarType[];
    add(key: SidebarType, item: SidebarItem): void;
    remove(item: SidebarItem): void;
    select(key: SidebarType): void;
    open(): void;
    close(): void;
}
